% definisco oggetti simbolici
syms teta1 teta2 y;
% risolvo il sistema delle due equazioni
S=solve('2=1.3*cos(teta1)+cos(teta1+teta2)','0.6=1.3*sin(teta1)+sin(teta1+teta2)');
% trasformo gli angoli da radianti a gradi
teta1d=double(S.teta1*180/pi)
teta2d=double(S.teta2*180/pi)
% risolvo il sistema di equazioni lasciando indicata la posizione y della mano
S=solve('2=1.3*cos(teta1)+cos(teta1+teta2)','y=1.3*sin(teta1)+sin(teta1+teta2)','teta1','teta2');
% creo un vettore che mi identifica la posizione y della mano
yr=[0.3:0.05:1.1];
% calcolo gli angoli teta1 e teta2, sostituendo il vettore yr nella soluzione simbolica
teta1r=[subs(S.teta1(1),'y',yr);subs(S.teta1(2),'y',yr)];
teta2r=[subs(S.teta2(1),'y',yr);subs(S.teta2(2),'y',yr)];
% trasformo in grado gli angoli
teta1d=teta1r*180/pi;
teta2d=teta2r*180/pi;
% grafico delle due soluzioni
subplot(2,1,1)
plot(yr,teta1d)
xlabel('y');ylabel('theta1');
subplot(2,1,2)
plot(yr,teta2d)
xlabel('y');ylabel('theta2');


