% definisco un oggetto simbolico
syms t
% definisco l'espressione della quota in funzione del tempo
h=-0.12*t^4+12*t^3-380*t^2+4100*t+220;
% calcolo l'espressione della velocit (derivata della quota)
vel=diff(h)
% calcolo l'espressione dell'accelerazione (derivata della velocit)
acc=diff(vel)
% grafico della quota, velocit, accelerazione
subplot(3,1,1)
ezplot(h,[0 48])
subplot(3,1,2)
ezplot(vel,[0 48])
subplot(3,1,3)
ezplot(acc,[0 48])