% definisco gl oggetto simbolici
syms d g h teta;
f=1/(((cos(teta))^2)*(d*tan(teta)-h));
% minimizzo la funzione (derivata = 0)
df=diff(f,teta);
teta_min=solve(df,teta);
% calcolo l'angolo minimo
teta_min=subs(teta_min,{d,h},{102,10.7});
ang=180*teta_min(1)/pi

% verifico che la soluzione trovata sia effettivamente un minimo
second=diff(f,2,teta);
second=subs(second,{teta,d,h},{teta_min(1),102,10.7});
if second>0
    disp('Il punto trovato e'' un minimo')
else
    disp('Il punto trovato e'' un massimo')
end

% calcolo la velocit minima
v2=(g*d^2/2)*f;
v2min=subs(v2,{d,h,g},{102,10.7,9.8});
vmin=sqrt(v2min);
vmin=double(subs(vmin(1),{teta,d,h,g},{teta_min(1),102,10.7,9.8}))


